---
type: api
title: Get scheduled query results
description: Get paginated query result rows (the actual osquery output data) for a specific scheduled query execution.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-osquerygetscheduledqueryresults
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-osquerygetscheduledqueryresults
products:
  - Kibana
---

# Get scheduled query results

Availability: 9.4+

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/osquery/scheduled_results/{scheduleId}/{executionCount}/results`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `scheduleId` (string)
  The schedule ID of the scheduled query.
- `executionCount` (integer)
  The execution count for this scheduled query run.

## Description

Get paginated query result rows (the actual osquery output data) for a specific scheduled query execution.

## Query String Parameters

- `kuery` (string)
  The kuery to filter the results by.
- `page` (integer)
  The page number to return. The default is 1.
- `pageSize` (integer)
  The number of results to return per page. The default is 20.
- `sort` (string · default: createdAt)
  The field that is used to sort the results.
- `sortOrder` (enum)
  Specifies the sort order.
  Values: `asc`, `desc`
- `startDate` (string)
  The start date filter (ISO 8601) to narrow down results.

## Response

Indicates a successful call.

`application/json`

- `data` (object)
  The query results data wrapper.
  - `edges` ([] object)
    The paginated list of query result rows.
  - `inspect` (object)
    Debug/inspection data for the search query.
  - `total` (integer)
    The total number of result rows.
## Code Examples

#### Console

```console
GET /api/osquery/scheduled_results/{scheduleId}/{executionCount}/results
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/osquery/scheduled_results/{scheduleId}/{executionCount}/results"
```

## Response Examples

#### Example scheduled query results response

```json
{
  "data": {
    "edges": [
      {
        "_id": "row-001",
        "fields": {
          "host.uptime": [
            "12345"
          ]
        }
      },
      {
        "_id": "row-002",
        "fields": {
          "host.uptime": [
            "67890"
          ]
        }
      }
    ],
    "total": 2
  }
}
```

